# From example_rules/example_frequency.yaml
name: Annotator DB Latency Mean Above Threshold (qnaGet)
type: metric_aggregation
index: search-metrics
timestamp_field: "time"

filter:
- term:
    name: "annotator_db_backend_service_production"
metric_agg_key: "statistics.qnaGet.latency_mean_ms"
metric_agg_type: "avg"
max_threshold: 150
doc_type: "metric"
buffer_interval:
  minutes: 5

alert:
- "slack"
slack_webhook_url: "https://hooks.slack.com/services/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"
realert:
  minutes: 30
exponential_realert:
  hours: 24
